<template>
  <div id="admin-view">
    <div class="container">
      <ul class="admin-nav">
        <li v-for="(page, ind) in pages"  @click="goToPage(ind + 1)">
          <div :class="{'active': activePage === (ind + 1).toString()}">
            {{page}}
          </div>
        </li>
      </ul>
      <div class="admin-content">
        <product-form v-if="activePage === '1'"></product-form>
        <edit-product v-if="activePage === '2'"></edit-product>
        <orders v-if="activePage === '3'"></orders>
        <promo-codes v-if="activePage === '4'"></promo-codes>
      </div>
    </div>
    
  </div>
</template>
<script>
import ProductForm from "../components/products/actions/ProductForm.vue";
import EditProduct from "../components/products/actions/EditProduct.vue";
import Orders from "../components/orders/Orders.vue";
import PromoCodes from "../components/promo/Promo.vue";
export default {
  data() {
    return {
      pages: ['Создать Товар', 'Изменить', 'Заказы', 'Промокоды'],
      activePage: '1'
    }
  },
  components: {
    ProductForm, EditProduct, Orders, PromoCodes
  },
  methods: {
    goToPage(page) {
      this.activePage = page.toString();

      let query = JSON.parse(JSON.stringify(this.$route.query));
      query.page = this.activePage;
      this.$router.push({path: this.$route.path, query});
    }
  },
  mounted() {
    if (this.$route.query.page) {
      this.activePage = this.$route.query.page;
    }
  }
}



</script>
<style lang="scss">
  #admin-view {
    min-height: 400px;
    margin-top: 70px;
    padding-top: 20px;
    padding-bottom: 30px;
    background-color: #fbfbfb;
    .admin-nav {
      padding: 0;
      margin: 0;
      list-style-type: none;
      display: flex;
      li {
        font-size: 16px;
        text-align: left;
        cursor: pointer;
        text-transform: uppercase;
        background-color: #fff;
        border: 1px solid rgba(0,0,0,.1);
        border-bottom: unset;
        border-right: unset;
        padding: 10px 5px;
        position: relative;
        min-width: 150px;
        height: 40px;
        div {
          text-align: center;
          line-height: 40px;
          z-index: 1000;
          position: absolute;
          background-color: #fff;
          top: 0;
          bottom: 0;
          right: 0;
          left: 0;
          &.active {
            color: $maincolor;
            bottom: -3px;
          }
        }

        &:hover {
          color: gray;
        }

        &:last-child {
          border-right: 1px solid rgba(0,0,0,.1);
        }
      }
    }
    .admin-content {
      padding: 20px;
      background-color: #fff;
      border: 1px solid rgba(0,0,0,.1);
    }
  }
</style>